#!/usr/bin/env python3
import os
import aws_cdk as cdk
from sfec2.sci_stack import SciInstancesStack
from sfec2.sci_stack import VpcBasisStack

app = cdk.App()

cdkEnv = cdk.Environment(account=os.getenv('CDK_DEFAULT_ACCOUNT'),
            region="us-east-2")

vpcStack = VpcBasisStack(app, "basis", env=cdkEnv )

deployList = [ "a", "b", "c" ]

for thing in deployList:
    SciInstancesStack(vpcStack, f"i-{thing}-s", thing=thing, env=cdkEnv )

app.synth()
